Query Volunteers
curl --request POST \
--url https://api.virtuoussoftware.com/api/Volunteer/Query \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Volunteer/Query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Volunteer/Query"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Volunteer/Query");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Volunteer/Query';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": 0,
"volunteerUrl": "string",
"createDateTimeUtc": "dateTime",
"createdByUser": "string",
"modifiedDateTimeUtc": "dateTime",
"modifiedByUser": "string",
"contactId": 0,
"contactIndividualId": 0,
"contactUrl": "string",
"displayName": "string",
"firstName": "string",
"avatarUrl": "string",
"primaryPhone": "string",
"primaryEmail": "string",
"totalHours": 0,
"timesVolunteered": 0,
"volunteerAttendanceUrl": "string",
"volunteerOpportunityId": 0,
"volunteerOpportunityUrl": "string"
}
],
"total": 0
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Volunteering
Query Volunteers
Returns the volunteers that match the conditions in the request body. To see which options can be sent, use the Get Volunteer Query Options endpoint.
POST
/
api
/
Volunteer
/
Query
Query Volunteers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Last modified on August 11, 2026
Was this page helpful?
⌘I